# Example

Taking the accounting interface as an example:

> 1 Get current timestamp: "timestamp": 1725870284179

> 2 Sign the string format of the timestamp

```
Before signing： "1725870284179"
```

| Key                     | Value                                                              |
| ----------------------- | ------------------------------------------------------------------ |
| api key/api\_key        | st\_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7                       |
| api wallet address      | 0x134eF0CfABEBF9c70eAE631254a6b4736f9b8508                         |
| private key/api\_secret | 0x2bf7cc40cfc5b2a43f60769d31191e82ed33aafb5e75be710271acd40a769564 |

```
sign result: 0xb24d1c6e35ca7532cf5c984397f842684da580e6c3d3fe8212c90fa59dcfaec955700dcaafc45259ca6e181c96c006427fc121af898dbdc10457df65e485a0c61c
```

> 3 Assembling parameters, including basic parameters for subscription and custom additional parameters for the interface.

```
​
{
    "symbol": "USD",
    "method": "SUBSCRIBE",
    "event": "api_account",
    "apiKey": "st_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7",
    "signature": "0xb24d1c6e35ca7532cf5c984397f842684da580e6c3d3fe8212c90fa59dcfaec955700dcaafc45259ca6e181c96c006427fc121af898dbdc10457df65e485a0c61c",
    "timestamp": 1725870284179,
    "signType": "2"
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.satori.finance/api-docs/openapi/websocket/subscription/example.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
